# Resources

A few resources that are helpful for building with Slate.

## Libraries

These libraries are helpful when developing with Slate:

- [`is-hotkey`](https://github.com/ianstormtaylor/is-hotkey) is a simple way to check whether an `onKeyDown` handler should fire for a given hotkey, handling cross-platform concerns like cmd vs. ctrl keys for you automatically.

## Extensions and Plugins

These extensions and plugins add additional features and capabilities to Slate:

- [Plate](https://github.com/udecode/plate) Rich text editor plugin system for Slate & React
- [`slate-angular`](https://github.com/worktile/slate-angular) Angular-based view layer, which is a useful supplement to Slate for building a rich text editor using Angular.
- [`slate-yjs`](https://github.com/BitPhinix/slate-yjs/) Collaborative editing utilities for Slate leveraging Yjs
- [`slate-collaborative`](https://github.com/cudr/slate-collaborative) Collaborative editing utilities for Slate leveraging Automerge

## Products

These products use Slate, and can give you an idea of what's possible:

- [Archbee](https://archbee.io/)
- [Cake](https://www.cake.co/)
- [Chatterbug](https://chatterbug.com/)
- [Clause](https://clause.io/)
- [CoCalc](https://cocalc.com/)
- [GitBook](https://www.gitbook.com/)
- [Discord](https://discord.com/)
- [Grafana](https://grafana.com/)
- [GraphCMS](https://graphcms.com/)
- [Guilded](https://www.guilded.gg/)
- [Guru](https://www.getguru.com/)
- [Kitemaker](https://kitemaker.co/)
- [Living Spec](https://livingspec.com/)
- [Netlify CMS](https://www.netlifycms.org/)
- [Prezly](https://www.prezly.com/)
- [Sanity.io](https://www.sanity.io/)
- [Slite](https://slite.com/)
- [Taskade](https://www.taskade.com/)
- [TRPG Engine](https://trpg.moonrailgun.com/)
- [Yuque](https://www.yuque.com/)
- [Thoughts](https://thoughts.teambition.com/)

## Editors

These pre-packaged editors are built on top of Slate, and can be helpful to see how you might structure your code:

- [Accord Project Markdown Editor](https://github.com/accordproject/web-components) is a WYSIWYG editor for [CommonMark](https://commonmark.org/).
- [Canner Editor](https://github.com/Canner/canner-slate-editor) is a rich text editor.
- [Chatterslate](https://github.com/chatterbugapp/chatterslate) helps teach language grammar and more at [Chatterbug](https://chatterbug.com).
- [CoCalc](https://github.com/sagemathinc/cocalc/) Collaborative Calculation editor in the Cloud
- [French Press Editor](https://github.com/roast-cms/french-press-editor) is a customizeable editor with offline support.
- [Nossas Editor](http://slate-editor.bonde.org/) is a drop-in WYSIWYG editor.
- [React Force Slate Editor](https://github.com/nareshbhatia/react-force/tree/master/packages/slate-editor) is a light-weight medium-style editor with no editor chrome.
- [React Page](https://github.com/react-page/react-page) is a self-contained, customizable inline WYSIWYG editor library.
- [Slate Plugins Next](https://github.com/zbeyens/slate-plugins-next) provides an editor with configurable and extendable plugins.

\(Or, if you have their exact use case, can be a drop-in editor for you.\)
